GDBserver

Macros | Functions
time.h File Reference

Go to the source code of this file.

## Macros
#define | _GL_SYS_TIME_H
#define | _GL_CXXDEFS_H
#define | _GL_BEGIN_NAMESPACE
#define | _GL_END_NAMESPACE
#define | _GL_EXTERN_C extern
#define | _GL_FUNCDECL_RPL(func, rettype, parameters_and_attributes) _GL_FUNCDECL_RPL_1 (rpl_##func, rettype, parameters_and_attributes)
#define | _GL_FUNCDECL_RPL_1(rpl_func, rettype, parameters_and_attributes) _GL_EXTERN_C rettype rpl_func parameters_and_attributes
#define | _GL_FUNCDECL_SYS(func, rettype, parameters_and_attributes) _GL_EXTERN_C rettype func parameters_and_attributes
#define | _GL_CXXALIAS_RPL(func, rettype, parameters) _GL_CXXALIAS_RPL_1 (func, rpl_##func, rettype, parameters)
#define | _GL_CXXALIAS_RPL_1(func, rpl_func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_RPL_CAST_1(func, rpl_func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS(func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS_CAST(func, rettype, parameters) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIAS_SYS_CAST2(func, rettype, parameters, rettype2, parameters2) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIASWARN(func) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_CXXALIASWARN1(func, rettype, parameters_and_attributes) _GL_EXTERN_C int _gl_cxxalias_dummy
#define | _GL_ARG_NONNULL(params)
#define | _GL_WARN_ON_USE(function, message) _GL_WARN_EXTERN_C int _gl_warn_on_use
#define | _GL_WARN_ON_USE_CXX(function, rettype, parameters_and_attributes, msg) _GL_WARN_EXTERN_C int _gl_warn_on_use
#define | _GL_WARN_EXTERN_C extern

## Functions
| _GL_CXXALIAS_SYS_CAST (gettimeofday, int,(struct timeval *restrict, void *restrict))
| _GL_CXXALIASWARN (gettimeofday)

## Macro Definition Documentation

## ◆ _GL_ARG_NONNULL

#define _GL_ARG_NONNULL | ( |  | params | ) |

Definition at line 359 of file time.h.

## ◆ _GL_BEGIN_NAMESPACE

#define _GL_BEGIN_NAMESPACE

Definition at line 68 of file time.h.

## ◆ _GL_CXXALIAS_RPL

#define _GL_CXXALIAS_RPL | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_CXXALIAS_RPL_1 (func, rpl_##func, rettype, parameters)

Definition at line 170 of file time.h.

## ◆ _GL_CXXALIAS_RPL_1

#define _GL_CXXALIAS_RPL_1 | ( |  | func,
|  |  | rpl_func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 185 of file time.h.

## ◆ _GL_CXXALIAS_RPL_CAST_1

#define _GL_CXXALIAS_RPL_CAST_1 | ( |  | func,
|  |  | rpl_func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 208 of file time.h.

## ◆ _GL_CXXALIAS_SYS

#define _GL_CXXALIAS_SYS | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 235 of file time.h.

## ◆ _GL_CXXALIAS_SYS_CAST

#define _GL_CXXALIAS_SYS_CAST | ( |  | func,
|  |  | rettype,
|  |  | parameters
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 258 of file time.h.

## ◆ _GL_CXXALIAS_SYS_CAST2

#define _GL_CXXALIAS_SYS_CAST2 | ( |  | func,
|  |  | rettype,
|  |  | parameters,
|  |  | rettype2,
|  |  | parameters2
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 289 of file time.h.

## ◆ _GL_CXXALIASWARN

#define _GL_CXXALIASWARN | ( |  | func | ) | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 317 of file time.h.

## ◆ _GL_CXXALIASWARN1

#define _GL_CXXALIASWARN1 | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C int _gl_cxxalias_dummy

Definition at line 345 of file time.h.

## ◆ _GL_CXXDEFS_H

#define _GL_CXXDEFS_H

Definition at line 61 of file time.h.

## ◆ _GL_END_NAMESPACE

#define _GL_END_NAMESPACE

Definition at line 69 of file time.h.

## ◆ _GL_EXTERN_C

#define _GL_EXTERN_C extern

Definition at line 136 of file time.h.

## ◆ _GL_FUNCDECL_RPL

#define _GL_FUNCDECL_RPL | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_FUNCDECL_RPL_1 (rpl_##func, rettype, parameters_and_attributes)

Definition at line 146 of file time.h.

## ◆ _GL_FUNCDECL_RPL_1

#define _GL_FUNCDECL_RPL_1 | ( |  | rpl_func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C rettype rpl_func parameters_and_attributes

Definition at line 148 of file time.h.

## ◆ _GL_FUNCDECL_SYS

#define _GL_FUNCDECL_SYS | ( |  | func,
|  |  | rettype,
|  |  | parameters_and_attributes
| ) |  | _GL_EXTERN_C rettype func parameters_and_attributes

Definition at line 158 of file time.h.

## ◆ _GL_SYS_TIME_H

#define _GL_SYS_TIME_H

Definition at line 43 of file time.h.

## ◆ _GL_WARN_EXTERN_C

#define _GL_WARN_EXTERN_C extern

Definition at line 407 of file time.h.

## ◆ _GL_WARN_ON_USE

#define _GL_WARN_ON_USE | ( |  | function,
|  |  | message
| ) |  | _GL_WARN_EXTERN_C int _gl_warn_on_use

Definition at line 375 of file time.h.

## ◆ _GL_WARN_ON_USE_CXX

#define _GL_WARN_ON_USE_CXX | ( |  | function,
|  |  | rettype,
|  |  | parameters_and_attributes,
|  |  | msg
| ) |  | _GL_WARN_EXTERN_C int _gl_warn_on_use

Definition at line 396 of file time.h.

## Function Documentation

## ◆ _GL_CXXALIAS_SYS_CAST()

_GL_CXXALIAS_SYS_CAST | ( | gettimeofday | ,
|  | int | ,
|  | (struct timeval *restrict, void *restrict) |
| ) |  |

## ◆ _GL_CXXALIASWARN()

_GL_CXXALIASWARN | ( | gettimeofday |  | ) |